Embeddings (Gemini 형식)
curl --request POST \
--url https://api.gravitex.ai/v1/engines/{model}/embeddings \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"input": {},
"encoding_format": "<string>",
"dimensions": 123
}
'import requests
url = "https://api.gravitex.ai/v1/engines/{model}/embeddings"
payload = {
"model": "<string>",
"input": {},
"encoding_format": "<string>",
"dimensions": 123
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>', input: {}, encoding_format: '<string>', dimensions: 123})
};
fetch('https://api.gravitex.ai/v1/engines/{model}/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
텍스트 완성 및 임베딩
Embeddings (Gemini 형식)
POST /v1/engines//embeddings
POST
/
v1
/
engines
/
{model}
/
embeddings
Embeddings (Gemini 형식)
소개
URL 경로에 지정된 모델로 임베딩을 생성합니다. 요청 본문은 OpenAI 스타일 필드와 동일합니다. Embeddings (OpenAI 형식) (POST /v1/embeddings)도 참조하세요.
인증
string
필수
Bearer Token, 예:
Bearer sk-xxxxxxxxxx경로 매개변수
string
필수
경로의 모델 또는 엔진 ID
요청 본문
string
필수
모델 이름(경로의
model과 일치할 수 있음)string | array
필수
임베딩할 텍스트
string
기본값:"float"
float 또는 base64integer
출력 차원 수
예시
curl -X POST "https://api.gravitex.ai/v1/engines/text-embedding-ada-002/embeddings" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer sk-xxxxxxxxxx" \
-d '{
"model": "text-embedding-ada-002",
"input": "Hello, world"
}'
응답
POST /v1/embeddings와 동일한 형식(object, data, model, usage)입니다.⌘I
